%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define testdir %{_datadir}/autotest/client/site_tests
%define hookdir %{_datadir}/autoqa
# TODO split python library into subpackage?

Name: autoqa
Summary: Automated quality assurance framework
Version: 0.4.4
Release: 0.1.pre%{?dist}
Source0: http://fedorahosted.org/autoqa/releases/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Applications/Internet
URL: https://fedorahosted.org/autoqa
Requires: autotest
Requires: koji
Requires: python-fedora
Requires: mod_wsgi
BuildRequires: autotest
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch


%description
The autoqa project to provides a basic framework for executing a series of
tests, the tests, and a series of watcher scripts designed to execute tests
under certain conditions.


%prep
%setup -q


%build
make build PYTHON=%{__python}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT TEST_DIR=%{testdir} HOOK_DIR=%{hookdir} PYTHON=%{__python}
install -m 644 autoqa.conf repoinfo.conf $RPM_BUILD_ROOT%{_sysconfdir}/autoqa/
install -m 640 -g autotest fas.conf $RPM_BUILD_ROOT%{_sysconfdir}/autoqa/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE TODO autoqa.cron
%dir %{_sysconfdir}/autoqa
%config(noreplace) %{_sysconfdir}/autoqa/autoqa.conf
%config(noreplace) %{_sysconfdir}/autoqa/fas.conf
%config %{_sysconfdir}/autoqa/repoinfo.conf
%config(noreplace) %{testdir}/rats_sanity/irb.cfg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/autoqa-git-hook.conf
%dir %attr(0775,root,autotest) %{_localstatedir}/cache/autoqa
%{_bindir}/autoqa
%{_sbindir}/autoqa-git-hook.wsgi
%{testdir}
%{hookdir}
%{_datadir}/autotest/client/bin/site_utils.py*
%{_datadir}/autotest/server/site_autotest.py*
%{python_sitelib}/autoqa*


%changelog
* Tue Jan 25 2011 James Laska <jlaska@redhat.com> - 0.4.4-0.1.pre
- Add BuildRequire: autotest (jlaska)
- Copy config files to clients in a better way (jlaska)
- Add query_update() to autoqa.bodhi_utils (kparal)
- New hook - git-post-recieve jlaska)
- New test - anaconda_storage (clumens)
- New test - compose_tree pungi (jlaska)
- New test - anaconda_checkbot (clumens, jlaska)
- Use self.__class__ in super() calls (kparal)
- Repoinfo.conf: set 'composes = no' as default for correct retyping (kparal)
- Bugfix: getbool() crashes for empty string (kparal)
- Load config files from current directory by default (kparal)
- Add support for a staging server (mkrizek)
- Remove israwhidebroken sub-package. (jlaska)
- Provide support for sending comments to Bodhi (mkrizek)
- Rpmlint: install all required packages at once (kparal)
- Fedora 12 is EOL, remove it from repoinfo.conf (kparal)
- Removed anaconda test and move it to a separate branch (kparal)
- Return non-zero exit status when job scheduling fails (kparal)
- Updated the test template (jskladan)
- Replace repoinfo.conf on upgrade (kparal)
- Watch-koji-builds: improve verbose output (kparal)
- Ticket#207 - Use correct list of tags when looking for koji builds (jlaska)
- Ticket#210 - renamed url parameter to baseurl (jskladan)
- Fix broken arguments for many tests (kparal)
- Modified templates for all hooks for new autoqa script (vaschenb)
- New control files for new autoqa script with params in dict (vaschenb)
- Hello world test (vaschenb)
- Autoqa script passing arguments via dictionary (vaschenb)

* Mon Nov 15 2010 James Laska <jlaska@redhat.com> - 0.4.3-1
- Cleanup repoinfo.conf for new F-14 release and expired releases (jlaska)
- Updated initscript tests (jskladan and mkrizek)
- Use a single method for @ExceptionCatcher handling (jskladan)
- Correct missing config_loader import (jlaska)
- Upgradepath cleanups and disable upgradepath for 'updates-testing' repo (kparal)
- Automatically log all test output to $resultsdir/output.log (kparal)
- Include traceback in email output (kparal)
- Allow tests to distinguish CRASHED and ABORTED (kparal)
- Install hunspell-en during setup() for rpmlint (jlaska)

* Fri Sep 17 2010 James Laska <jlaska@redhat.com> - 0.4.2-1
- Minor bug fixes (rats_sanity, upgradepath, autoqa) (jlaska)
- Move watcher cronjob into documentation directory (jlaska)
- Don't reboot clients before or after test run (jlaska)

* Thu Sep 16 2010 James Laska <jlaska@redhat.com> - 0.4.1-1
- Corrected several multihook test issues (kparal+jskladan)
- Enable assertions for autoqa tests (kparal)
- Updated rats_sanity comps.rng URL (wwoods)
- Moved watcher cronjob to /usr/share/doc/autoqa (jlaska)
- Updated israwhidebroken to locate correct cherrypy version (jlaska)

* Tue Aug 30 2010 James Laska <jlaska@redhat.com> - 0.4.0-1
- Ticket#123 - Add upgrade-path test (vaschenb)
- Ticket#195 - Add Helloworld test for hook verification (vaschenb)
- Ticket#199 - Standardize test arguments between hooks (kparal)
- Ticket#200 - Support for control.autoqa (kparal)
- Ticket#207 - Use correct list of tags when looking for koji builds (jlaska)
- Ticket#210 - renamed url parameter to baseurl (jskladan)
- Ticket#211 - update repoinfo.conf for new F-14 branch repo (jlaska)
- Replace repoinfo.conf on upgrade (kparal)
- New AutoQATest base class for test objects (jskladan)
- Add post-bodhi-update watcher to crontab (kparal)
- Treat ghost files appropriately in potential_conflicts.py, i.e. match rpm's
  behaviour (fcami)
- Add repoinfo.getreleases() and get_bodhi_releases() (wwoods)
- Use repoinfo data for bodhi_releases in the bodhi watcher (wwoods)
- Add support for autotest labels in autoqa harness (kparal)

* Tue Jul 06 2010 James Laska <jlaska@redhat.com> - 0.3.5-1
- Move common methods from post-bodhi-update into bodhi_utils.py (wwoods)
- Require autotest, not autotest-client (jlaska)
- Initial post-bodhi-update watcher and test templates (wwoods)
- Add composes keyword to repoinfo.conf and repoinfo.py (wwoods)
- Correct repoinfo.conf to match Fedora branch process (jlaska)
- Add post-koji-build --prevtime and --verbose options (jlaska)
- Add support to koji_utils.py to get previously tagged package for packages
  with no parent repository (wwoods)

* Mon May 26 2010 James Laska <jlaska@redhat.com> - 0.3.4-1
- Correct handling of config variable in tests (jskladan)

* Mon May 25 2010 James Laska <jlaska@redhat.com> - 0.3.3-1
- Ticket#130 - Support for providing URL to autotest server logs (jskladan)
- Ticket#151 - opt-in support to subscribe to test results for your package
  (svidal)
- Update repoinfo.conf for Fedora 14 and Fedora 13 release (jlaska)

* Mon Apr 12 2010 James Laska <jlaska@redhat.com> - 0.3.2-1
- Config files moved to /etc/autoqa directory (kparal)
- Don't overwrite config files during 'make install' (kparal)
- Ticket#120 - New initscript test for validating select SysV initscripts
  (jskladan)
- Ticket#119 - Add [Branched] to default repoinfo.conf (jlaska)
- Post-tree-compose no longer monitors rawhide for new install images (jlaska)

* Mon Mar 8 2010 James Laska <jlaska@redhat.com> - 0.3.1-1
- The autoqa version should change whenever the tarball changes.  Adjust to new
  version-release scheme.
- Ticket#114 - Updates to koji_utils and rpmguard to detect previous released
  packages (kparal)
- Ticket#116 - Update koji watcher to accept ENVR not just NVR (kparal)
- Ticket#119 - Update repoinfo.conf and post-koji-build to accommodate no
  frozen rawhide changes (jlaska)
- sanity.py - Fix subtle loop bug that caused us to randomly skip packages
  (wwoods)
- Ticket#107 - Initial automated DVD install test dvd_install.py (lili)
- Update rats.py to support test-specific command-line arguments via
  OptionGroup (jlaska)

* Tue Jan 12 2010 James Laska <jlaska@redhat.com> - 0.3-3
- Add rpmguard test (kparal)
- Several updates to virtguest.py supporting multiple disks (wwoods)

* Wed Dec 2 2009 James Laska <jlaska@redhat.com> - 0.3-2
- Add autoqa-israwhidebroken TurboGears application
- Remove .py extension from israwhidebroken _sbindir scripts

* Fri Nov 6 2009 Will Woods <wwoods@redhat.com> - 0.3-1
- Rearrange a bunch of test/watcher code into autoqa python lib
- Add post-koji-build hook and watcher

* Thu Aug 6 2009 Will Woods <wwoods@redhat.com> - 0.2-1
- Big autotest rearrange

* Tue Jun 30 2009 James Laska <jlaska@redhat.com> - 0.1-1
- Initial packaging
